import { SimpleChanges, EventEmitter, ElementRef } from '@angular/core';
import "@grapecity-software/spread-sheets-designer";
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class DesignerComponent {
    private elRef;
    private designer;
    styleInfo: Object;
    props: Object | Observable<Object>;
    designerInitialized: EventEmitter<any>;
    constructor(elRef: ElementRef);
    ngAfterViewInit(): void;
    private setStyleInfo;
    private setConfig;
    private updateStyleInfo;
    private updateConfig;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DesignerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DesignerComponent, "designer", never, { "props": "props"; }, { "designerInitialized": "designerInitialized"; }, never, never>;
}
